You are not logged in.

#1 2012-12-22 20:00:58

orschiro
Member
Registered: 2009-06-04
Posts: 2,136
Website

[solved] yaourt VCS package updates

Hello,

the command $ yaourt -Syua --devel upgrades all VCS packages. However, I do not completely understand how that works.

Does yaourt upgrade all VCS packages that are installed regardless of their version or does yaourt reconcile the VCS packages with my local packages and upgrades only these that are newer?

Regards

Last edited by orschiro (2012-12-23 09:37:02)

Offline

#2 2012-12-23 05:55:55

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,075

Re: [solved] yaourt VCS package updates

It checks the version available on the server and only updates/builds if it's newer than what you have. I'm not sure if this is a function of makepkg or what.

Online

#3 2012-12-23 09:20:13

orschiro
Member
Registered: 2009-06-04
Posts: 2,136
Website

Re: [solved] yaourt VCS package updates

Then this feature is not working on my system.

As an example I just upgraded two packages nemo-dropbox-git and nemo-fileroller-git. So they are definitely the latest version.

Now when I run  $ yaourt -Syua --devel it still wants to upgrade them again:

[orschiro@thinkpad ~]$ yaourt -Syua --devel
:: Synchronizing package databases...
 cinnarch-repo is up to date
 cinnarch-core is up to date
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
 Foreign packages: \ 19 / 19
==> upgrading SVN/CVS/HG/GIT package

Targets (2): nemo-dropbox-git nemo-fileroller-git

==> Proceed with upgrade?  [Y/n]
==> ----------------------------
==> 

Offline

#4 2012-12-23 09:33:22

Scimmia
Bug Wrangler
Registered: 2012-09-01
Posts: 5,075

Re: [solved] yaourt VCS package updates

First, it will always get that far. It checks the version of each package individually then skips them if they're the same as what's already there or builds them if not.

Second, it doesn't work well with -git packages since they use the date as the version. It doesn't matter if nothing in the code has changed, the date changed and that's enough to make it rebuild. This is fixed in the upcoming Pacman 4.1.

Last edited by Scimmia (2012-12-23 09:34:05)

Online

#5 2012-12-23 09:36:38

orschiro
Member
Registered: 2009-06-04
Posts: 2,136
Website

Re: [solved] yaourt VCS package updates

Thanks, good to hear that. I should have indeed let yaourt proceeding further.

==> Building and installing package
==> Determining latest git revision...
  -> Version found: 20121223
==> nemo-dropbox-git is already up to date.

Thus, in this case it is also working with the git package.

Solved and thank you.

Offline

Board footer

Powered by FluxBB